+ Reply to Thread
Page 2 of 2 FirstFirst 1 2
Results 11 to 14 of 14
  1. #11
    Super Member
    Using
    not specified
    Join Date
    Dec 2004
    Location
    YUL
    Posts
    502

    Default

    Registered forum members do not see this ad.

    Why not use 'dimedit'?

    Code:
    (defun c:wr (/ a b)
      (if c1
        ()
        (setq c1 "%%c<>\"\\P(Typ.)")
      )
      (princ "\n Overwrite with:  ")
      (princ c1)
      (princ " ? ")
      (setq b (getstring t))
      (if (= b "")
        (setq b c1)
      )
      (setq c1 b)
      (princ "\nSelect Dimensions to overwrite ")
      (setq a (ssget '((0 . "DIMENSION"))))
      (if (not (eq a nil))
        (command "._DimEdit" "_N" b a "")
      )
      (princ)
    )

  2. #12
    Senior Member ILoveMadoka's Avatar
    Using
    AutoCAD 2013
    Join Date
    Oct 2008
    Posts
    240

    Default

    <irneb>

    Now THAT is awesome!
    Presets are definitely the way to go.

    Thanks so very much!!


    (I misunderstood your original post...)
    I thought you were showing me how to do an override...

  3. #13
    Senior Member ILoveMadoka's Avatar
    Using
    AutoCAD 2013
    Join Date
    Oct 2008
    Posts
    240

    Default

    Lee and everyone...

    Thanks so much for the instruction and the different takes on how to do something!!

    You guys are all very appreciated!

    Thank you!

  4. #14
    Super Member irneb's Avatar
    Computer Details
    irneb's Computer Details
    Operating System:
    Win7 Pro 64bit
    Computer:
    Antec One Hundred
    Motherboard:
    ASUS P8P67-Pro P67
    CPU:
    Intel i7 2600 @ 3.4GHz
    RAM:
    16GB-1600MHz
    Graphics:
    GeForce GT 430 (1GB)
    Primary Storage:
    Seagate1TB SATA2 - 7200rpm
    Monitor:
    Samsung 2333TN 23" 1920 x 1080 Full HD LCD Monitor2GW
    Discipline
    Architectural
    irneb's Discipline Details
    Occupation
    Architectural Technician and Programmer
    Discipline
    Architectural
    Using
    AutoCAD 2013
    Join Date
    Sep 2010
    Location
    Jo'burg SA
    Posts
    1,729

    Default

    Registered forum members do not see this ad.

    Quote Originally Posted by ILoveMadoka View Post
    <irneb>

    Now THAT is awesome!
    Presets are definitely the way to go.

    Thanks so very much!!


    (I misunderstood your original post...)
    I thought you were showing me how to do an override...
    You're welcome! Glad we finally got to the same wave-length

    IMO the Properties Palette is still one of the most powerful things ADesk has ever made for ACad. If not the most powerful. That's not to say you can't get something which is even more efficient for your specific scenario (like these preset commands).
    Knowledge is proportional to experience, but wisdom is inversely proportional to ego!
    My little bit of "wisdom": Hind-sight is useless, unless used to improve the next forethought!

Similar Threads

  1. Adding Prefix or Suffix to block attribute
    By harilalmn in forum AutoLISP, Visual LISP & DCL
    Replies: 10
    Last Post: 24th Sep 2013, 02:43 am
  2. Add Prefix or suffix to all layers in a drawing
    By gman in forum AutoLISP, Visual LISP & DCL
    Replies: 19
    Last Post: 10th Oct 2011, 12:26 pm
  3. Prefix for the dimensions-- dimlinear
    By raj in forum AutoLISP, Visual LISP & DCL
    Replies: 4
    Last Post: 6th May 2011, 07:45 pm
  4. Lisp to add a prefix or suffix to selected text
    By JB_In_FLA in forum AutoLISP, Visual LISP & DCL
    Replies: 12
    Last Post: 6th Jan 2011, 04:57 pm
  5. Removing the R prefix from radius dimensions
    By everglade in forum AutoCAD Drawing Management & Output
    Replies: 4
    Last Post: 2nd Aug 2005, 11:24 am

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts